# Trust Badges

**Contributors:** converswp, parvezvai, shamsbd71  
**Author Url:** https://converswp.com/trust-badges/
**Tags:** WooCommerce, EDD, badges, marketing, payment icons
**Requires at least:** 4.7  
**Tested up to:** 6.7  
**Stable tag:** 1.0.0  
**Requires PHP:** 7.4  
**License:** GPLv2 or later  
**License URI:** https://www.gnu.org/licenses/gpl-2.0.html  
**Public Repo:** https://github.com/converswp/trust-badges  

Trust Badges adds customizable trust icons and badges to WooCommerce and EDD, boosting customer confidence and sales.

## Description

Trust Badges is a WordPress plugin designed to increase customer trust and boost conversions by displaying customizable trust badges on your e-commerce store. Whether you're using WooCommerce or Easy Digital Downloads (EDD), this plugin allows you to add, customize, and manage badges with ease. 

Badges such as secure payment icons, money-back guarantees, free delivery, and other trust signals help reassure customers during the purchase process. You can also use shortcodes to place badges anywhere on your site, including product pages, checkout, and cart pages.

**Key Features:**
- **Add and Manage Trust Badges:** Easily add, edit, and remove trust badges to build customer confidence.
- **Customizable Badges:** Adjust badge appearance, size, and position to match your store's branding.
- **Shortcode Support:** Display badges anywhere on your site using simple shortcodes.
- **Mobile-Responsive Design:** Badges look great on all devices.
- **Works with WooCommerce and EDD:** Fully compatible with WooCommerce and Easy Digital Downloads.
- **Settings Panel:** Manage all settings under **Settings -> Trust Badges** in the WordPress admin panel.

**Why Use Trust Badges?**  
Increase customer trust by displaying secure payment icons, money-back guarantees, delivery badges, and other trust signals that reassure customers during the buying process.

## Installation

1. Upload the `trust-badges` directory to the `/wp-content/plugins/` directory.
2. Activate the plugin through the 'Plugins' menu in WordPress.
3. Navigate to **Settings -> Trust Badges** to manage your badges.

Alternatively, you can:
- Install directly from the WordPress plugin repository.
- Activate and start customizing your badges from the WordPress dashboard.

## Development

To set up the development environment for the Trust Badges plugin, follow these steps:

1. **Clone the repository**:
    ```bash
    git clone https://github.com/converswp/trust-badges wp-content/plugins/trust-badges
    ```

2. **Navigate to the plugin directory**:
    ```bash
    cd wp-content/plugins/trust-badges
    ```

3. **Install dependencies using npm or yarn**:
    ```bash
    # Using npm
    npm install

    # Using yarn
    yarn install
    ```

4. **Install PHP dependencies using Composer**:
    ```bash
    composer install
    ```

5. **Run the development server**:
    ```bash
    yarn dev
    ```

6. **To release an update**:
    ```bash
    yarn release
    ```

These commands will set up the development environment, allowing you to work on the plugin and release updates as needed.


## Screenshots

1. **Admin Dashboard Overview** – Manage and customize your trust badges easily.
2. **Customization Panel** – Adjust badge styles, sizes, and positions.
3. **Front-End Display** – Example of trust badges displayed on a WooCommerce product page.

## Usage

After activation, go to the **Settings -> Trust Badges** section in the WordPress admin menu to manage your badges:
- **Add New Badges:** Upload images or select from pre-designed badges.
- **Customize Badges:** Change sizes, colors, and positions.
- **Shortcodes:** Use shortcodes to display badges anywhere on your site.

## Frequently Asked Questions

### Q: Can I use this plugin without WooCommerce or EDD?  
A: Yes, while this plugin is optimized for WooCommerce and Easy Digital Downloads, you can use the shortcodes to display badges on any WordPress site.

### Q: Are the badges mobile responsive?  
A: Yes, all badges are fully responsive and look great on any device.

### Q: What types of badges can I add?  
A: You can add a variety of badges, including secure payment icons, money-back guarantees, delivery badges, and custom promotional icons to boost customer trust.

### Q: Can I upload my own custom badges?  
A: Absolutely! You can upload your own images and customize their appearance within the admin panel.

### Q: Where can I find the settings?  
A: The settings for Trust Badges are located under **Settings -> Trust Badges** in your WordPress dashboard.

## Requirements

- **WordPress Version:** 5.8 or higher  
- **WooCommerce or Easy Digital Downloads (Optional but recommended)**  
- **PHP Version:** 7.4 or higher  

## Support

For support, please visit the [plugin support page](https://converswp.com/trust-badges/)

## Changelog

### 1.0.0
- Initial release of the Trust Badges plugin.
- Added shortcode support for flexible badge placement.
- Customization options for badge appearance and position.
- Full compatibility with WooCommerce and Easy Digital Downloads.

## Upgrade Notice

### 1.0.0
- Initial release. Install and configure your trust badges to increase customer confidence and conversion rates.

## Source Code
Here: https://github.com/converswp/trust-badges (the rep is public)